export default {
  title: 'vue.js',
  nav: [
    {
      subtitle: '生态系统',
      nav: [
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'Vue.js',
          desc: '渐进式JavaScript 框架',
          link: 'https://cn.vuejs.org/',
          language: [
            'https://vuejs.org/index.html',
            'https://cn.vuejs.org/',
            'https://github.com/vuejs/vue',
          ]
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'Vue Router',
          desc: 'Vue Router 是 Vue.js 官方的路由管理器',
          link: 'https://router.vuejs.org/zh/',
          language: [
            'https://router.vuejs.org/',
            'https://router.vuejs.org/zh/',
            'https://github.com/vuejs/vue-router',
          ]
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'Vuex',
          desc: 'Vuex 是一个专为 Vue.js 应用程序开发的状态管理模式。',
          link: 'https://vuex.vuejs.org/zh/',
          language: [
            'https://vuex.vuejs.org/',
            'https://vuex.vuejs.org/zh/',
            'https://github.com/vuejs/vuex',
          ]
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'vue-devtools',
          desc: 'vue.js调试工具',
          link: 'https://chrome.google.com/webstore/detail/vuejs-devtools/nhdogjmejiglipccpnnnanhbledajbpd',
          language: [
            '',
            '',
            'https://github.com/vuejs/vue-devtools',
          ]
        },
        {
          icon: 'assets/icon/frontend/4.png',
          name: 'vue-cli',
          desc: 'Vue.js开发的标准脚手架工具',
          link: 'https://cli.vuejs.org/zh/',
          language: [
            'https://cli.vuejs.org/',
            'https://cli.vuejs.org/zh/',
            'https://github.com/vuejs/vue-cli',
          ]
        },
        {
          icon: 'assets/icon/frontend/028.png',
          name: 'vuepress',
          desc: 'Vue 驱动的静态网站生成器',
          link: 'https://vuepress.vuejs.org/zh/',
          language: [
            'https://vuepress.vuejs.org/',
            'https://vuepress.vuejs.org/zh/',
            'https://github.com/vuejs/vuepress',
          ]
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'Vue SSR',
          desc: 'Vue服务端渲染、SEO解决方案',
          link: 'https://vuepress.vuejs.org/zh/',
          language: [
            'https://ssr.vuejs.org/',
            'https://ssr.vuejs.org/zh/',
            'https://github.com/vuejs/vue-ssr-docs',
          ]
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'vue-class-component',
          desc: '用于类式Vue组件的ECMAScript / TypeScript装饰器。',
          link: 'https://github.com/vuejs/vue-class-component',
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'eslint-plugin-vue',
          desc: 'Vue.js的官方ESLint插件',
          link: 'https://eslint.vuejs.org/',
          language: [
            '',
            '',
            'https://github.com/vuejs/eslint-plugin-vue'
          ]
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'vite',
          desc: 'Vite是一个经过验证的Web开发人员构建工具，可在开发过程中通过本机ES模块导入为您的代码提供服务，并将其与Rollup捆绑在一起进行生产',
          link: 'https://github.com/vitejs/vite',
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'Vue 组合式 API',
          desc: 'Vue 组合式 API在线文档阅读',
          link: 'https://composition-api.vuejs.org/zh',
        },
      ]
    },
    {
      subtitle: 'PC端UI组件库',
      nav: [
        {
          icon: 'assets/icon/frontend/024.png',
          name: 'iView',
          desc: '一套基于 Vue.js 的高质量UI 组件库',
          link: 'https://www.iviewui.com/docs/guide/install',
          language: [
            'https://www.iviewui.com/',
            'https://www.iviewui.com/docs/guide/install',
            'https://github.com/iview/iview',
          ]
        },
        {
          icon: 'assets/icon/frontend/025.png',
          name: 'Element',
          desc: '一套为开发者、设计师和产品经理准备的基于 Vue 2.0 的桌面端组件库',
          link: 'http://element-cn.eleme.io/#/zh-CN',
          language: [
            'http://element-cn.eleme.io/#/en-US',
            'http://element-cn.eleme.io/#/zh-CN',
            'https://github.com/ElemeFE/element',
          ]
        },
        {
          icon: 'assets/icon/frontend/038.png',
          name: 'Muse-UI',
          desc: '基于 Vue 2.0 优雅的 Material Design UI 组件库',
          link: 'https://muse-ui.org/#/zh-CN',
          language: [
            'https://muse-ui.org/#/en-US/',
            'https://muse-ui.org/#/zh-CN',
            'https://github.com/museui/muse-ui',
          ]
        },
        {
          icon: 'assets/icon/frontend/091.png',
          name: 'Ant Design Vue',
          desc: '这里是 Ant Design 的 Vue 实现，开发和服务于企业级后台产品',
          link: 'https://antdv.com/docs/vue/introduce-cn/',
          language: [
            'https://antdv.com/docs/vue/introduce/',
            'https://antdv.com/docs/vue/introduce-cn/',
            'https://github.com/vueComponent/ant-design-vue',
          ]
        },
        {
          icon: 'assets/icon/frontend/094.svg',
          name: 'vuetify',
          desc: '让Vue和Material Design的强大力量在开发上助您一臂之力',
          link: 'https://vuetifyjs.com/zh-Hans/',
          language: [
            'https://vuetifyjs.com/en/',
            'https://vuetifyjs.com/zh-Hans/',
            'https://github.com/vuetifyjs/vuetify',
          ]
        },
        {
          icon: 'assets/icon/frontend/121.png',
          name: 'bootstrap-vue',
          desc: 'BootstrapVue为Vue.js提供了最全面的Bootstrap 4组件和网格系统实现之一，并提供了广泛的自动WAI-ARIA可访问性标记',
          link: 'https://bootstrap-vue.js.org/',
          language: [
            '',
            '',
            'https://github.com/bootstrap-vue/bootstrap-vue',
          ]
        },
        {
          icon: 'assets/icon/frontend/140.png',
          name: 'vue-material',
          desc: 'Vue material简单，轻巧，完全符合Google Material Design规范',
          link: 'https://vuematerial.io',
          language: [
            '',
            '',
            'https://github.com/vuematerial/vue-material',
          ]
        },
        {
          icon: 'assets/icon/frontend/141.png',
          name: 'buefy',
          desc: 'Buefy是一个基于Bulma框架和设计的Vue.js响应式UI组件的轻量级库。',
          link: 'https://buefy.org',
          language: [
            '',
            '',
            'https://github.com/buefy/buefy',
          ]
        },
      ]
    },
    {
      subtitle: '移动端UI组件库',
      nav: [
        {
          icon: 'assets/icon/frontend/093.png',
          name: 'vant',
          desc: '轻量、可靠的移动端 Vue 组件库',
          link: 'https://youzan.github.io/vant/#/zh-CN/intro',
          language: [
            'https://youzan.github.io/vant/#/en-US/intro',
            'https://youzan.github.io/vant/#/zh-CN/intro',
            'https://github.com/youzan/vant',
          ]
        },
        {
          icon: 'assets/icon/frontend/027.png',
          name: 'vux',
          desc: '一个凑合的 Vue.js 移动端 UI 组件库',
          link: 'https://vux.li/',
          language: [
            '',
            'https://vux.li/',
            'https://github.com/airyland/vux',
          ]
        },
        {
          icon: 'assets/icon/frontend/054.png',
          name: 'cube-ui',
          desc: '基于 Vue.js 实现的精致移动端组件库',
          link: 'https://didi.github.io/cube-ui/#/zh-CN',
          language: [
            'https://didi.github.io/cube-ui/#/en-US',
            'https://didi.github.io/cube-ui/#/zh-CN',
            'https://github.com/didi/cube-ui',
          ]
        },
        {
          icon: 'assets/icon/frontend/090.png',
          name: 'Mand Mobile',
          desc: '面向金融场景的Vue移动端UI组件库，丰富、灵活、实用，快速搭建优质的金融类产品，让复杂的金融场景变简单',
          link: 'https://didi.github.io/mand-mobile/#/zh-CN/home',
          language: [
            'https://didi.github.io/mand-mobile/#/en-US/home',
            'https://didi.github.io/mand-mobile/#/zh-CN/home',
            'https://github.com/didi/mand-mobile',
          ]
        },
        {
          icon: 'assets/icon/frontend/026.svg',
          name: 'Mint UI',
          desc: '基于 Vue.js 的移动端组件库',
          link: 'http://mint-ui.github.io/#!/zh-cn',
          language: [
            'http://mint-ui.github.io/#!/en',
            'http://mint-ui.github.io/#!/zh-cn',
            'https://github.com/ElemeFE/mint-ui/',
          ]
        },
        {
          icon: 'assets/icon/frontend/116.png',
          name: 'NutUI',
          desc: '一套京东风格的轻量级移动端Vue组件库',
          link: 'https://nutui.jd.com',
          language: [
            '',
            '',
            'https://github.com/jdf2e/nutui',
          ]
        },
      ]
    },
    {
      subtitle: '其他组件/插件',
      nav: [
        {
          icon: 'assets/icon/frontend/039.png',
          name: 'vue-awesome-swiper',
          desc: '基于swiper封装的轮播图组件',
          link: 'https://surmon-china.github.io/vue-awesome-swiper/',
          language: [
            '',
            '',
            'https://github.com/surmon-china/vue-awesome-swiper',
          ]
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'vue-meta',
          desc: '管理Vue 2.0组件中的页面元信息。支持SSR + Streaming',
          link: 'https://github.com/nuxt/vue-meta',
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'vue-scroller',
          desc: 'Vue Scroller是Vonic UI 的基础组件。为了平滑滚动，拉动刷新和无限加载。',
          link: 'https://wangdahoo.github.io/vue-scroller/#/',
          language: [
            '',
            '',
            'https://github.com/wangdahoo/vue-scroller'
          ]
        },
        {
          icon: 'https://v3.vuejs.org/images/icons/apple-icon-152x152.png',
          name: 'vue-infinite-loading',
          desc: 'Vue.js的无限滚动插件(支持向上和向下)',
          link: 'https://peachscript.github.io/vue-infinite-loading/zh/',
          language: [
            '',
            '',
            'https://github.com//PeachScript/vue-infinite-loading'
          ]
        },
      ]
    },
    {
      subtitle: '开箱即用',
      nav: [
        {
          icon: 'assets/icon/frontend/024.png',
          name: 'iview-admin',
          desc: '基于iView的Vue 2.0管理系统模板',
          link: 'https://admin.iviewui.com/login',
          language: [
            '',
            '',
            'https://github.com/iview/iview-admin',
          ]
        },
      ]
    },
    {
      subtitle: 'nuxt服务端渲染框架',
      nav: [
        {
          icon: 'assets/icon/frontend/105.png',
          name: 'nuxt',
          desc: 'Vue.js 通用应用框架',
          link: 'https://zh.nuxtjs.org/',
          language: [
            'https://nuxtjs.org/',
            'https://zh.nuxtjs.org/',
            'https://github.com/nuxt/nuxt.js',
          ]
        },
        {
          icon: 'assets/icon/frontend/105.png',
          name: '创建nuxt的脚手架工具',
          desc: 'create-nuxt-app',
          link: 'https://github.com/nuxt/create-nuxt-app',
        },
      ]
    },
  ]
}