const DEFAULT_ICON = 'assets/icon/frontend/076.png'

export default {
  title: '生态系统',
  icon: DEFAULT_ICON,
  nav: [
    {
      icon: DEFAULT_ICON,
      subtitle: '官方',
      nav: [
        {
          name: 'Node.js',
          desc: 'Node.js® 是一个基于 Chrome V8 引擎 的 JavaScript 运行时',
          link: 'http://nodejs.cn',
          language: [
            'https://nodejs.org/en/',
            'http://nodejs.cn',
            'https://github.com/nodejs/node'
          ]
        },
        {
          name: 'npm',
          desc: 'npm是JavaScript世界的包管理工具,并且是 Node.js 平台的默认包管理工具',
          link: 'https://www.npmjs.com/',
          language: [
            'https://www.npmjs.com/',
            'https://www.npmjs.com.cn/',
            'https://github.com/npm/cli'
          ]
        },
      ]
    },
    {
      subtitle: '模块',
      nav: [
        {
          name: 'urllib',
          desc: '在复杂的世界中请求HTTP(s)URL',
          link: 'https://github.com/node-modules/urllib',
        },
        {
          name: 'formstream',
          desc: 'multipart / form-data编码流，用于文件上传的帮助程序。',
          link: 'https://github.com/node-modules/formstream',
        },
        {
          name: 'validate-npm-package-name',
          desc: '给我一个字符串，我会告诉你它是否是有效的npm软件包名称',
          link: 'https://github.com/npm/validate-npm-package-name',
        },
      ]
    },
    {
      subtitle: '其他',
      nav: [
        {
          icon: 'assets/icon/frontend/092.png',
          name: 'Yarn',
          desc: '快速、可靠、安全的依赖管理',
          link: 'https://yarnpkg.com/zh-Hans/',
          language: [
            'https://yarnpkg.com/en/',
            'https://yarnpkg.com/zh-Hans/',
            'https://github.com/yarnpkg/yarn'
          ]
        },
        {
          icon: 'assets/icon/frontend/076.png',
          name: 'awesome-nodejs',
          desc: 'Node.js软件包和资源',
          link: 'https://github.com/sindresorhus/awesome-nodejs',
        },
        {
          icon: 'assets/icon/frontend/076.png',
          name: 'nodebestpractices',
          desc: '最大的Node.js最佳实践列表',
          link: 'https://github.com/goldbergyoni/nodebestpractices',
        },
      ]
    },
    {
      subtitle: 'CMS',
      nav: [
        {
          icon: 'assets/icon/frontend/119.png',
          name: 'NodeBB',
          desc: '基于Node.js的论坛软件，为现代网站',
          link: 'https://nodebb.org/',
          language: [
            '',
            '',
            'https://github.com/NodeBB/NodeBB'
          ]
        },
        {
          icon: 'assets/icon/frontend/139.jpg',
          name: 'Ghost',
          desc: 'Ghost 是基于 Node.js 构建的开源博客平台。Ghost 具有易用的书写界面和体验,博客内容默认采用 Markdown 语法书写。Ghost 的目标是取代臃肿的 Wordpress',
          link: 'https://ghost.org/',
          language: [
            '',
            '',
            'https://github.com/TryGhost/Ghost'
          ]
        },
      ]
    },
    {
      subtitle: '资料',
      nav: [
        {
          icon: 'assets/icon/frontend/076.png',
          name: 'nodebestpractices',
          desc: 'Node.js 最佳实践, 最大的汇集，且每周都在增长 - 当前，超过50个最佳实现，样式指南，架构建议已经呈现',
          link: 'https://github.com/goldbergyoni/nodebestpractices',
        },
      ]
    }
  ]
}
